QGIS Application - Feature request #9327
Add warning for topological errors
2014-01-13 10:53 PM - Paolo Cavallini

Status: Closed

Priority: Normal

Assignee:

Category: Processing/QGIS

Pull Request or Patch supplied: Resolution: fixed/implemented
Easy fix?: No Copied to github as #: 17934
Description

In case of layers with topological errors, analyses fail, and the user has no clue about the reasons.

| suggest to check & warn the user of topo errors in source layers, and of possible wrong results; maybe this should be optional, as this

will slow down the analysis, and may be useless after first cleanup.

History

#1 - 2014-01-13 10:55 PM - Paolo Cavallini

See a discussion on: http:/lists.osgeo.org/pipermail/qgis-developer/2014-January/030119.html

#2 - 2017-01-02 05:50 AM - Giovanni Manghi
- Category changed from 44 to Processing/QGIS

#3 - 2017-05-01 12:48 AM - Giovanni Manghi
- Easy fix? set to No

#4 - 2018-03-07 12:30 PM - Paolo Cavallini
- Resolution set to fixed/implemented

- Status changed from Open to Closed
- Description updated

Now a filter for invalid geometries is implemented, with options on how to behave then.
